"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("@ionic/cli-utils/lib/command");
class SignupCommand extends command_1.Command {
    getMetadata() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return {
                name: 'signup',
                type: 'global',
                summary: 'Create an account for Ionic Pro',
            };
        });
    }
    run(inputs, options) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const opn = yield Promise.resolve().then(() => require('opn'));
            const dashUrl = yield this.env.config.getDashUrl();
            opn(`${dashUrl}/signup?source=cli`, { wait: false });
            this.env.log.ok('Launched signup form in your browser!');
        });
    }
}
exports.SignupCommand = SignupCommand;
