"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = require("chalk");
const cli_utils_1 = require("@ionic/cli-utils");
const namespace_1 = require("@ionic/cli-utils/lib/namespace");
class SSLNamespace extends namespace_1.Namespace {
    getMetadata() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const config = yield this.env.config.load();
            const groups = [cli_utils_1.NamespaceGroup.Beta];
            if (!config.features['ssl-commands']) {
                groups.push(cli_utils_1.NamespaceGroup.Hidden);
            }
            return {
                name: 'ssl',
                summary: 'Commands for managing SSL keys & certificates',
                groups,
                description: `
These commands make it easy to generate SSL certificates for using HTTPS with ${chalk_1.default.green('ionic serve')}, etc.
      `,
            };
        });
    }
    getCommands() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return new namespace_1.CommandMap([
                ['generate', () => tslib_1.__awaiter(this, void 0, void 0, function* () { const { SSLGenerateCommand } = yield Promise.resolve().then(() => require('./generate')); return new SSLGenerateCommand(this, this.env); })],
                ['g', 'generate'],
            ]);
        });
    }
}
exports.SSLNamespace = SSLNamespace;
