import { CommandInstanceInfo, CommandLineInputs, CommandLineOptions, CommandMetadata, CommandPreRun, ResolvedStarterTemplate, StarterManifest, StarterTemplate } from '@ionic/cli-utils';
import { Command } from '@ionic/cli-utils/lib/command';
export declare class StartCommand extends Command implements CommandPreRun {
    canRemoveExisting?: boolean;
    getMetadata(): Promise<CommandMetadata>;
    getStarterTemplates(): Promise<StarterTemplate[]>;
    preRun(inputs: CommandLineInputs, options: CommandLineOptions): Promise<void>;
    run(inputs: CommandLineInputs, options: CommandLineOptions, runinfo: CommandInstanceInfo): Promise<void>;
    isGitSetup(): Promise<boolean>;
    checkForExisting(projectName: string, projectDir: string): Promise<void>;
    findStarterTemplate(template: string, type: string, tag: string): Promise<ResolvedStarterTemplate>;
    validateName(name: string): Promise<void>;
    loadManifest(manifestPath: string): Promise<StarterManifest | undefined>;
    performManifestOps(manifest: StarterManifest): Promise<void>;
    downloadStarterTemplate(projectDir: string, starterTemplate: ResolvedStarterTemplate): Promise<void>;
    showNextSteps(projectDir: string, linkConfirmed: boolean): Promise<void>;
}
